

import {Component} from '@angular/core';
import {IonicPage, NavController, ToastController} from 'ionic-angular';
import {AuthService} from "../../providers/auth-service";

import {Login} from "../login/login";

@IonicPage()
@Component({
    selector: 'page-forgot',
    templateUrl: 'forgot.html',
})
export class Forgot {
    resposeData: any;
    userData = {"nomor_ponsel":""};
    constructor(public navCtrl: NavController, public authService: AuthService, private toastCtrl: ToastController) {}

    ionViewDidLoad() {
        console.log('ionViewDidLoad Lupa Password');
    }

    lupa_password() {
        if (this.userData.nomor_ponsel) {
            this.authService.postData(this.userData, "lupa_password").then((result) => {
                this.resposeData = result;
                if (this.resposeData.userData) {
                    this.navCtrl.push(Login);
                } else {
                    this.presentToast("Nomor ponsel yang anda masukan belum terdaftar pada sistem kami.");
                }
            }, (err) => {
                this.presentToast("Gagal terhubung ke server.");
            });
        } else {
            this.presentToast("Nomor ponsel tidak boleh kosong");
        }

    }

    LoginPage() {
        this
            .navCtrl
            .push(Login);
    }

    presentToast(msg) {
        let toast = this.toastCtrl.create({
            message: msg,
            duration: 2000
        });
        toast.present();
    }

}
